Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmClassController.cs
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmClassController.cs	(revision 5762)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Controllers/AlgorithmClassController.cs	(revision 5763)
@@ -10,5 +10,4 @@
 using System.Diagnostics;
 using HLWebOKBAdminPlugin.OKBAdministrationService;
-using HLWebOKBAdminPlugin.OKBAuthenticationService;
 
 namespace HLWebOKBAdminPlugin.Controllers
@@ -39,6 +38,6 @@
 
             asc.ClientCredentials.UserName.UserName = Membership.GetUser().UserName;
-            //asc.ClientCredentials.UserName.Password = HttpContext.Session["pwd"].ToString();
-            asc.ClientCredentials.UserName.Password = "Gerhard";
+            asc.ClientCredentials.UserName.Password = HttpContext.Session["pwd"].ToString();
+            //asc.ClientCredentials.UserName.Password = "Gerhard";
             asc.ClientCredentials.ServiceCertificate.Authentication.CertificateValidationMode = X509CertificateValidationMode.None;
 
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/HLWebOKBAdminPlugin.csproj
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/HLWebOKBAdminPlugin.csproj	(revision 5762)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/HLWebOKBAdminPlugin.csproj	(revision 5763)
@@ -102,70 +102,31 @@
       <DependentUpon>Reference.svcmap</DependentUpon>
     </Compile>
-    <Compile Include="Service References\OKBAuthenticationService\Reference.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </Compile>
     <Compile Include="ViewModels\AlgorithmClassViewModel.cs" />
   </ItemGroup>
   <ItemGroup>
     <Content Include="Global.asax" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.Algorithm.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.AlgorithmClass.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.AlgorithmData.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.AlgorithmParameter.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.DataType.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.Experiment.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.Platform.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.Problem.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.ProblemClass.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.ProblemData.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.ProblemParameter.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.Result.datasource" />
-    <None Include="Properties\DataSources\HLWebPluginHost.OKBService.Run.datasource" />
-    <EmbeddedResource Include="Resources\Delete.bmp" />
-    <EmbeddedResource Include="Resources\Plus.bmp" />
-    <EmbeddedResource Include="Resources\Update.bmp" />
-    <None Include="Service References\OKBAdministrationService\AdministrationService.wsdl" />
-    <None Include="Service References\OKBAdministrationService\AdministrationService.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\AdministrationService1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\AdministrationService2.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\AdministrationService3.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.Algorithm.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.AlgorithmClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.Platform.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.Problem.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.ProblemClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService.disco" />
-    <None Include="Service References\OKBAuthenticationService\configuration91.svcinfo" />
-    <None Include="Service References\OKBAuthenticationService\configuration.svcinfo" />
-    <None Include="Service References\OKBAuthenticationService\HLWebOKBAdminPlugin.OKBAuthenticationService.User.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAuthenticationService\Reference.svcmap">
-      <Generator>WCF Proxy Generator</Generator>
-      <LastGenOutput>Reference.cs</LastGenOutput>
-    </None>
+    <None Include="Properties\DataSources\HLWebPluginHost.OKBAdministrationService.Algorithm.datasource" />
+    <None Include="Properties\DataSources\HLWebPluginHost.OKBAdministrationService.AlgorithmClass.datasource" />
+    <None Include="Properties\DataSources\HLWebPluginHost.OKBAdministrationService.Platform.datasource" />
+    <None Include="Properties\DataSources\HLWebPluginHost.OKBAdministrationService.Problem.datasource" />
+    <None Include="Properties\DataSources\HLWebPluginHost.OKBAdministrationService.ProblemClass.datasource" />
     <None Include="Service References\OKBAdministrationService\AdministrationService.disco" />
     <None Include="Service References\OKBAdministrationService\configuration91.svcinfo" />
     <None Include="Service References\OKBAdministrationService\configuration.svcinfo" />
+    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.Algorithm.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.AlgorithmClass.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.Platform.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.Problem.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebOKBAdminPlugin.OKBAdministrationService.ProblemClass.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
     <None Include="Service References\OKBAdministrationService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
@@ -178,5 +139,7 @@
     <Content Include="Views\AlgorithmClass\Index.aspx" />
     <Content Include="Views\ServiceTest\Index.aspx" />
-    <Content Include="Web.config" />
+    <Content Include="Web.config">
+      <SubType>Designer</SubType>
+    </Content>
     <Content Include="Web.Debug.config">
       <DependentUpon>Web.config</DependentUpon>
@@ -202,12 +165,12 @@
     <Content Include="Views\Shared\Site.Master" />
     <Content Include="Views\Web.config" />
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService.wsdl" />
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAuthenticationService\AuthenticationService2.xsd">
+    <None Include="Service References\OKBAdministrationService\AdministrationService.wsdl" />
+    <None Include="Service References\OKBAdministrationService\AdministrationService1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBAdministrationService\AdministrationService2.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBAdministrationService\AdministrationService3.xsd">
       <SubType>Designer</SubType>
     </None>
@@ -216,4 +179,5 @@
     <Folder Include="App_Data\" />
     <Folder Include="App_LocalResources\" />
+    <Folder Include="Resources\" />
   </ItemGroup>
   <ItemGroup>
@@ -222,5 +186,9 @@
   <ItemGroup>
     <WCFMetadataStorage Include="Service References\OKBAdministrationService\" />
-    <WCFMetadataStorage Include="Service References\OKBAuthenticationService\" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\OKBAdministrationService\AdministrationService.xsd">
+      <SubType>Designer</SubType>
+    </None>
   </ItemGroup>
   <Choose>
@@ -259,3 +227,6 @@
     </VisualStudio>
   </ProjectExtensions>
+  <PropertyGroup>
+    <PostBuildEvent>copy HLWebOKBAdminPlugin.dll ..\..\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin</PostBuildEvent>
+  </PropertyGroup>
 </Project>
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx	(revision 5762)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx	(revision 5763)
@@ -14,13 +14,4 @@
     
     <asp:Panel ID="pMenu" runat="server">
-        <asp:ImageButton ID="btnAddAlgorithmClass" runat="server"             
-            ImageUrl="~/Resources/Plus.bmp" ToolTip="Add Class" BorderColor="Black" 
-            CommandArgument="Id" onclick="~/Controllers/AddAlgorithmClass" />
-        <asp:ImageButton ID="btnDelAlgorithmClass" runat="server" 
-            ImageUrl="~/Resources/Delete.bmp" ToolTip="Delete Class" 
-            CommandArgument="Id" CommandName="lgorithmClass" />
-        <asp:ImageButton ID="btnUpdAlgorithmClass" runat="server" 
-            CommandArgument="Id" 
-            ImageUrl="~/Resources/Update.bmp" />
     </asp:Panel>
     <p>
Index: /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Web.config
===================================================================
--- /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Web.config	(revision 5762)
+++ /branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Web.config	(revision 5763)
@@ -74,8 +74,9 @@
     </assemblyBinding>
   </runtime>
+
   <system.serviceModel>
     <bindings>
       <wsHttpBinding>
-        <binding name="WSHttpBinding_IOKBService" closeTimeout="00:01:00"
+        <binding name="AdministrationService" closeTimeout="00:01:00"
           openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
           bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
@@ -92,61 +93,15 @@
               algorithmSuite="Default" />
           </security>
-        </binding>
-        <binding name="WSHttpBinding_IAuthenticationService" closeTimeout="00:01:00"
-          openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-          bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-          maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text"
-          textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
-          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-            maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-          <reliableSession ordered="true" inactivityTimeout="00:10:00"
-            enabled="false" />
-          <security mode="Message">
-            <transport clientCredentialType="Windows" proxyCredentialType="None"
-              realm="" />
-            <message clientCredentialType="UserName" negotiateServiceCredential="true"
-              algorithmSuite="Default" />
-          </security>
-        </binding>
-        <binding name="WSHttpBinding_IAdministrationService" closeTimeout="00:01:00"
-          openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-          bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-          maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text"
-          textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
-          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-            maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-          <reliableSession ordered="true" inactivityTimeout="00:10:00"
-            enabled="false" />
-          <security mode="Message">
-            <transport clientCredentialType="Windows" proxyCredentialType="None"
-              realm="" />
-            <message clientCredentialType="UserName" negotiateServiceCredential="true"
-              algorithmSuite="Default" />
-          </security>
-        </binding>
+        </binding>        
       </wsHttpBinding>
     </bindings>
     <client>
-      <endpoint address="http://localhost:8732/Design_Time_Addresses/OKB-3.3/OKBService"
-        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IOKBService"
-        contract="OKBService.IOKBService" name="WSHttpBinding_IOKBService">
-        <identity>
-          <certificate encodedValue="AwAAAAEAAAAUAAAAIQrvmocYcMi5fmvHzIyVXAYioh8gAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhB/K4IUpf//oE5Y7z4eayB9MAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMDkyNTExNDY1N1oXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCtTYRDoRxGMo6KzVypLUKzMv6NbGgabF1PpORsk59JyT/W3bw6DDVAmXkxKEYyunIRHTyQp1/o9Or1n/lAVe0DyQYYvRrlVWn16kYbBwBG/5op3urgUo456WTfMvpezvUpII+U6p5lM2nJlCwLSVplbzbWg0Q45l813+9mXqfyPQIDAQABo0kwRzBFBgNVHQEEPjA8gBC9NBW28XBwPiaJJgiOU6W9oRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghB/K4IUpf//oE5Y7z4eayB9MAkGBSsOAwIdBQADgYEAdSi0jtQ/54Lqz5lWKk9EzTVImUn6gppz8JQGjo0lPa4PrsLplk2jK8Z7esgMLr3VqQPIgb92/ekrDMRttMi9MDgrSWbOPKjINvyC4mMK2KgfgHAfUQM8kH223GReUUzwF99FG8HhzoqrUMIlmCvrf5EZ19FBPEygFNOew0jhiHY=" />
-        </identity>
-      </endpoint>
-      <endpoint address="http://services.heuristiclab.com/OKB.SPR-3.3/AuthenticationService.svc"
-        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAuthenticationService"
-        contract="OKBAuthenticationService.IAuthenticationService" name="WSHttpBinding_IAuthenticationService">
+      <endpoint address="http://services.heuristiclab.com/OKB.SPR-3.3/AdministrationService.svc"
+        binding="wsHttpBinding" bindingConfiguration="AdministrationService"
+        contract="OKBAdministrationService.IAdministrationService" name="AdministrationService">
         <identity>
           <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
         </identity>
-      </endpoint>
-      <endpoint address="http://services.heuristiclab.com/OKB.SPR-3.3/AdministrationService.svc"
-        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdministrationService"
-        contract="OKBAdministrationService.IAdministrationService" name="WSHttpBinding_IAdministrationService">
-        <identity>
-          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
-        </identity>
-      </endpoint>
+      </endpoint>      
     </client>
   </system.serviceModel>
Index: /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj
===================================================================
--- /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj	(revision 5762)
+++ /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj	(revision 5763)
@@ -70,5 +70,4 @@
     <Compile Include="Controllers\AccountController.cs" />
     <Compile Include="Controllers\HomeController.cs" />
-    <Compile Include="Controllers\ServicePrototypeController.cs" />
     <Compile Include="Global.asax.cs">
       <DependentUpon>Global.asax</DependentUpon>
@@ -86,9 +85,4 @@
       <DependentUpon>Reference.svcmap</DependentUpon>
     </Compile>
-    <Compile Include="Service References\OKBService\Reference.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -100,81 +94,23 @@
     <Content Include="Content\themes\hl\Site.css" />
     <Content Include="Global.asax" />
-    <None Include="Service References\OKBAdministrationService\AdministrationService.wsdl" />
-    <None Include="Service References\OKBAdministrationService\AdministrationService.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\AdministrationService1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\AdministrationService2.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\AdministrationService3.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.Algorithm.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.AlgorithmClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.Platform.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.Problem.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.ProblemClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\configuration91.svcinfo" />
-    <None Include="Service References\OKBService\configuration.svcinfo" />
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Algorithm.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.AlgorithmClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.AlgorithmData.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.AlgorithmParameter.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.DataType.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Experiment.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Platform.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Problem.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.ProblemClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.ProblemData.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.ProblemParameter.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Result.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Run.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\OKBService\Reference.svcmap">
-      <Generator>WCF Proxy Generator</Generator>
-      <LastGenOutput>Reference.cs</LastGenOutput>
-    </None>
     <Content Include="Scripts\lbAlgorithmClassOnClick.js" />
     <None Include="Service References\OKBAdministrationService\AdministrationService.disco" />
     <None Include="Service References\OKBAdministrationService\configuration91.svcinfo" />
     <None Include="Service References\OKBAdministrationService\configuration.svcinfo" />
+    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.Algorithm.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.AlgorithmClass.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.Platform.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.Problem.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBAdministrationService\HLWebPluginHost.OKBAdministrationService.ProblemClass.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
     <None Include="Service References\OKBAdministrationService\Reference.svcmap">
       <Generator>WCF Proxy Generator</Generator>
@@ -215,4 +151,14 @@
     <Content Include="Views\Shared\Site.Master" />
     <Content Include="Views\Web.config" />
+    <None Include="Service References\OKBAdministrationService\AdministrationService.wsdl" />
+    <None Include="Service References\OKBAdministrationService\AdministrationService1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBAdministrationService\AdministrationService2.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBAdministrationService\AdministrationService3.xsd">
+      <SubType>Designer</SubType>
+    </None>
   </ItemGroup>
   <ItemGroup>
@@ -225,18 +171,7 @@
   <ItemGroup>
     <WCFMetadataStorage Include="Service References\OKBAdministrationService\" />
-    <WCFMetadataStorage Include="Service References\OKBService\" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\OKBService\Arrays.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBService\HeuristicLab.Services.OKB.DataTransfer.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBService\service.wsdl" />
-    <None Include="Service References\OKBService\service.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\OKBService\service1.xsd">
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\OKBAdministrationService\AdministrationService.xsd">
       <SubType>Designer</SubType>
     </None>
Index: /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config
===================================================================
--- /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config	(revision 5762)
+++ /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config	(revision 5763)
@@ -105,8 +105,9 @@
     </assemblyBinding>
   </runtime>
+
   <system.serviceModel>
     <bindings>
       <wsHttpBinding>
-        <binding name="WSHttpBinding_IOKBService" closeTimeout="00:01:00"
+        <binding name="AdministrationService" closeTimeout="00:01:00"
           openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
           bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
@@ -123,38 +124,15 @@
               algorithmSuite="Default" />
           </security>
-        </binding>
-        <binding name="WSHttpBinding_IAdministrationService" closeTimeout="00:01:00"
-          openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-          bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-          maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text"
-          textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
-          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-            maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-          <reliableSession ordered="true" inactivityTimeout="00:10:00"
-            enabled="false" />
-          <security mode="Message">
-            <transport clientCredentialType="Windows" proxyCredentialType="None"
-              realm="" />
-            <message clientCredentialType="UserName" negotiateServiceCredential="true"
-              algorithmSuite="Default" />
-          </security>
-        </binding>
+        </binding>        
       </wsHttpBinding>
     </bindings>
     <client>
-      <endpoint address="http://localhost:8732/Design_Time_Addresses/OKB-3.3/OKBService"
-        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IOKBService"
-        contract="OKBService.IOKBService" name="WSHttpBinding_IOKBService">
-        <identity>
-          <certificate encodedValue="AwAAAAEAAAAUAAAAIQrvmocYcMi5fmvHzIyVXAYioh8gAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhB/K4IUpf//oE5Y7z4eayB9MAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMDkyNTExNDY1N1oXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCtTYRDoRxGMo6KzVypLUKzMv6NbGgabF1PpORsk59JyT/W3bw6DDVAmXkxKEYyunIRHTyQp1/o9Or1n/lAVe0DyQYYvRrlVWn16kYbBwBG/5op3urgUo456WTfMvpezvUpII+U6p5lM2nJlCwLSVplbzbWg0Q45l813+9mXqfyPQIDAQABo0kwRzBFBgNVHQEEPjA8gBC9NBW28XBwPiaJJgiOU6W9oRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghB/K4IUpf//oE5Y7z4eayB9MAkGBSsOAwIdBQADgYEAdSi0jtQ/54Lqz5lWKk9EzTVImUn6gppz8JQGjo0lPa4PrsLplk2jK8Z7esgMLr3VqQPIgb92/ekrDMRttMi9MDgrSWbOPKjINvyC4mMK2KgfgHAfUQM8kH223GReUUzwF99FG8HhzoqrUMIlmCvrf5EZ19FBPEygFNOew0jhiHY=" />
-        </identity>
-      </endpoint>
       <endpoint address="http://services.heuristiclab.com/OKB.SPR-3.3/AdministrationService.svc"
-        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdministrationService"
-        contract="OKBAdministrationService.IAdministrationService" name="WSHttpBinding_IAdministrationService">
+        binding="wsHttpBinding" bindingConfiguration="AdministrationService"
+        contract="OKBAdministrationService.IAdministrationService" name="AdministrationService">
         <identity>
           <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
         </identity>
-      </endpoint>
+      </endpoint>      
     </client>
   </system.serviceModel>
Index: /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HLWebPluginHost.csproj.FileListAbsolute.txt
===================================================================
--- /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HLWebPluginHost.csproj.FileListAbsolute.txt	(revision 5762)
+++ /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/obj/Debug/HLWebPluginHost.csproj.FileListAbsolute.txt	(revision 5763)
@@ -1,2 +1,7 @@
+C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.dll
+C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.pdb
+C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\ResolveAssemblyReference.cache
+C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.dll
+C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.pdb
 D:\Proakt\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.dll
 D:\Proakt\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.pdb
@@ -4,7 +9,2 @@
 D:\Proakt\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.dll
 D:\Proakt\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.pdb
-C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.dll
-C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\bin\HLWebPluginHost.pdb
-C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\ResolveAssemblyReference.cache
-C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.dll
-C:\Documents and Settings\vs6\My Documents\SPR5\WebApplication\MVC2\HeuristicLabWeb.PluginHost\HLWebPluginHost\obj\Debug\HLWebPluginHost.pdb
